# -*- coding: utf-8 -*-
from dataton_constants import *

import numpy as np
import cPickle

def delete_rows_with_no_products_v2(X,y,custom_pos,one_prod_cstms):
	"""
	Created: 15-3-2017
	Modified: 15-3-2017
	"""
	print "Deleting clients with no products"
	X = X.tocsr()
	n_customs, n_features = X.shape
	pos_delete = [custom_pos[c] for c in one_prod_cstms]
	mask = np.ones(n_customs, dtype=bool)
	mask[pos_delete] = False
	return X[mask,:], y[mask]

def delete_few_samples_costumts(X,y,min_samples=0,max_samples=999999999):
	print "Deleting classes with too few samples (less than: %f)"%min_samples
	with open("./auxiliary_data/last_product_n_cstms.p","rb") as f:
		last_product_n_cstms = cPickle.load(f)
	final_classes = [prod_pos[prod] for prod,cnt in last_product_n_cstms.iteritems() if min_samples < cnt < max_samples]
	good_raws = [i for i,cls in enumerate(y) if cls in final_classes]
	X = X[good_raws,:]
	y = y[good_raws]
	return X, y